// Arquivo de exemplo: yield.cs
// Para compilar use: csc yield.cs

using System;
using System.Collections;

namespace AlfredoLotar.Livro.Aspnet
{
	class Programa
	{
		public static IEnumerable Impares(int inicio, int fim)
		{
			int resultado = 1;
			while (inicio++ < fim)
			{               
				if (inicio % 2 != 0)
				{ 
					resultado = inicio;
					yield return resultado; 
				}                
			}
		}

		static void Main()
		{
			foreach (int i in Impares(0, 10))
			{
				Console.Write("{0} ", i);
			}
			Console.Read();
		}
	}
}
